
D4Science Infrastructure - Task #10187

Enhance SAI

Nov 02, 2017 11:34 AM - Gianpaolo Coro

Status: Closed Start date: Nov 02, 2017

Priority: Normal Due date: Jan 31, 2018

Assignee: Giancarlo Panichi % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: SAI   

Infrastructure: Production   

Description

Here are some key enhancement that would improve the usability and the quality of the system:

avoid users to put special characters in the description. This generates errors from the pool manager that are impossible to

interpret;

add a "copy from project" feature;

delete the Create button;

default open Tab should be Input/Output instead of Global Variables;

Manage the "lock" issue. This can be blocking and is frequent for large projects. Once a lock of the Target folder occurs, there is

no way to recover the project but rebooting the Workspace. @lucio.lelii@isti.cnr.it and @costantino.perciante@isti.cnr.it please,

give it a look or add a timeout for the locks.

Related issues:

Has duplicate D4Science Infrastructure - Task #9328: SAI should run SAVE+CREA... Rejected Jul 20, 2017

History

#1 - Dec 01, 2017 12:40 PM - Giancarlo Panichi

- Status changed from New to In Progress

The following points have been resolved in the release gCube 4.8:

avoid users to put special characters in the description. This generates errors from the pool manager that are impossible to interpret;

default open Tab should be Info instead of Global Variables;

The other points have been moved to the next release.

For the last point a ticket was opened: #10199

#3 - Dec 01, 2017 03:31 PM - Giancarlo Panichi

- % Done changed from 0 to 40

#5 - Dec 11, 2017 06:49 PM - Giancarlo Panichi

- Related to Task #9328: SAI should run SAVE+CREATE when pressing the Publish Button added

#6 - Dec 11, 2017 06:52 PM - Giancarlo Panichi

- Related to deleted (Task #9328: SAI should run SAVE+CREATE when pressing the Publish Button)

#7 - Dec 11, 2017 06:52 PM - Giancarlo Panichi

- Has duplicate Task #9328: SAI should run SAVE+CREATE when pressing the Publish Button added

#8 - Dec 11, 2017 06:56 PM - Giancarlo Panichi

- % Done changed from 40 to 60

#9 - Dec 11, 2017 07:32 PM - Giancarlo Panichi

SAI without Create Software button is available now on dev portal.

#11 - Dec 20, 2017 10:57 AM - Giancarlo Panichi

The previous requests were satisfied with Release 4.9.0 missing only the project copy that passes to Release 4.10.0
#12 - Dec 20, 2017 10:58 AM - Giancarlo Panichi

- % Done changed from 60 to 90

#13 - Jun 26, 2018 12:12 PM - Giancarlo Panichi

- Due date set to Jan 31, 2018

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

I consider this ticket as concluded, because the project copy will have to be re-evaluated according to the transition to the new StorageHub. All other

points have been made.

I will open a new ticket when this can be supported with StorageHub.
